/*!
* \file AffichageConsole.h
* \brief Fichier contenant les signatures des fonctions liees a la structure case.
*/

#ifndef CASE_H_INCLUDED
#define CASE_H_INCLUDED

#include "structures.h"



Case* Librairie_Cases(const char *filename);

Case* Remplir_Cases_log(const char *filename);

void init_case(Case *c,int x, int y, Terrain *t);

int get_x(Case *c);

int get_y(Case *c);

char * getID(Carte_Jeu * c);

Case * getCase(Carte_Jeu * c, int x, int y);

boolean est_occupee(Case *c);

Terrain * init_terrain(Terrain * t, char * n, boolean f, unsigned short int PD);

boolean terrain_franchissable(Terrain *t);

boolean case_franchissable(Case *c);

void marquer_occupee(Case *c);

void marquer_libre(Case *c);

Terrain* get_terrain(Case *c);

Carte_Jeu * nouvelleCarte();

void deleteCarte(Carte_Jeu * c);

int init_carte(Carte* c);

int initCarte(Carte_A * sourceXML, Carte_Jeu * destination, Game_Package * pack);

/*Case * trouverCase(Carte * c, int x, int y);*/


#endif

